﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PolyLoca
{
    class Voiture : Vehicule
    {
        private int _chevauxFiscaux;

        public Voiture(string ma, string mo, int a,int ch) : base(ma, mo, a)
        {
            ChevauxFiscaux = ch;
        }

        public int ChevauxFiscaux
        {
            set { if ((value < 2) || (value > 15))
                    Console.WriteLine("chevaux fiscaux entre 2 et 15");
                else
                    _chevauxFiscaux = value;
            }
            get { return _chevauxFiscaux; }
        }

        public override string Description()
        {
            string s = "Voiture :\n";
            s += base.Description();
            s += "\n chevaux fiscaux: " + ChevauxFiscaux;
            return s;
        }
        public string Permis()
        {
            return "A1";
        }
    }
}
